%define with_maven 1
%global namedreltag -SNAPSHOT
%global namedversion %{version}%{?namedreltag}
Name:          jamm
Version:       0.2.3
Release:       %mkrel 1
Summary:       Java Agent for Memory Measurements
Group:         Development/Java
License:       ASL 2.0
Url:           https://github.com/jbellis/jamm/
# git clone git://github.com/stephenc/jamm.git
# tar czf jamm-0.2.3-SNAPSHOT-src.tar.gz jamm
Source0:       jamm-0.2.3-SNAPSHOT-src.tar.gz
# remove ivy stuff, add javadoc task and fix library version
Patch0:        jamm-0.2.3-SNAPSHOT-build_xml.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: junit4

%if !%with_maven
BuildRequires: ant
#BuildRequires: ivy
%else
BuildRequires: maven
BuildRequires: maven-clean-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-deploy-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4
BuildRequires: sonatype-oss-parent
%endif

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Jamm provides MemoryMeter, a java agent to measure actual object
memory use including JVM overhead.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}

%prep
%setup -q -n jamm

find -name "*.jar" -exec rm -f {} \;
find -name "*.class" -exec rm -f {} \;

%if !%with_maven
%patch0 -p0
%endif

%build

%if !%with_maven
  %ant jar test javadoc
%else
  mvn-rpmbuild -e install javadoc:aggregate
%endif

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
%if !%with_maven
  cp -p build/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
%else
  cp -p target/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
%endif

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/%{name}
%if !%with_maven
  cp -pr build/javadocs/* %{buildroot}%{_javadocdir}/%{name}
%else
  cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}
%endif

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc README.txt license.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Fri Nov 11 2011 gil <gil> 0.2.3-1.mga2
+ Revision: 166456
- imported package jamm

